<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
 <HEAD>
  <TITLE>
   mobile map by petschge.de &amp; lusiardi.de
  </TITLE>
  <META name="author" content="Petschge, n0ob">
  <META name="date" content="2008-12-11">
  <META name="robots" content="index">
  <META http-equiv="content-type" content="text/html; charset=iso-8859-1">
  <META name="generator" content="vim 7.0">
  <LINK rel="shortcut icon" href="/favicon.ico">
  <LINK rel="stylesheet" type="text/css" href="style.css">
 </HEAD>
 <BODY>
<?php
	include("func.php");

	// for Palm Treo 500v
	$width = getValueFromRequest("width", "312");
	$height = getValueFromRequest("height", "180");
	$border = getValueFromRequest("border", "3");
	$bugid = getValueFromRequest("bug", "0");
	$todo = getValueFromRequest("todo", "");

	// Würzburg
	$lat = getValueFromRequest("lat", "49.793");
	$lon = getValueFromRequest("lon", "9.931");
	$zoom = getValueFromRequest("zoom", "12");
	$layer = getValueFromRequest("layer", "B00FFF");

	$w = ($width- 2*$border)/3;
	$h = ($height- 2*$border)/3;

	$default = array("width" => $width, "height" => $height, "border" => $border, "lat" => $lat, "lon" => $lon, "zoom" => $zoom, "layer" => $layer, "bug" => $bugid);

	// how wide and high is a tile in degres
	$dlon = 360/pow(2, $zoom);
	$dlat = 360 * cos($lat * pi() / 180)/pow(2, $zoom);


	if($todo == "close") {
		$ch = curl_init("http://openstreetbugs.appspot.com/closePOIexec");
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, "id={$bugid}");
		$result = curl_exec($ch);
		$info = curl_getinfo($ch);
		curl_close($ch);

		if($result == "ok") {
			echo "Bug successfully closed<BR>\n";
		} else {
			echo "Something went wrong<BR>\n";
		}
	}


	$nb = $lat + 0.5*$h*$dlat / 256;
	$sb = $lat - 0.5*$h*$dlat / 256;
	$wb = $lon - 0.5*$w*$dlon / 256;
	$eb = $lon + 0.5*$w*$dlon / 256;
	$bugs = getBugs($nb, $sb, $wb, $eb);
	while(list($key, $bug) = each($bugs)) {
		if($bug[0] == $bugid) {

			echo "Bug #{$bug[0]}:<BR>\n";
			$parts=explode("<hr />", $bug[3]);
			echo "<UL>\n";
			while(list($key, $text) = each($parts)) {
				// decode to convert &quot to ", encode to convert all special chars
				echo "<LI>".htmlentities(html_entity_decode($text, ENT_COMPAT, "UTF-8") , ENT_NOQUOTES, "UTF-8")."</LI>\n";
			}
			echo "</UL>\n";
			if($bug[4] == 0) {
				echo "Do you really want to close this bug?<BR>\n";
				echo "<FORM action=\"closebug.php\" method=\"post\">\n";
				while(list($key, $val) = each($default)) {
					echo "<INPUT type=\"hidden\" name=\"$key\" value=\"$val\">\n";
				}
				echo "<INPUT type=\"hidden\" name=\"todo\" value=\"close\">\n";
				echo "<INPUT type=\"submit\" value=\"Yes\">\n";
				echo "</FORM>\n";
			} else {
				echo "The bug is closed<BR>\n";
			}
			echo "<BR>\n";
		}
	}

	echo "<A href=\"map.php?".toUrl($default)."\">back to the map</A> ";
?>
 </BODY>
</HTML>
