<?php
	include("func.php");

	$res = getRes();
	setcookie("res", $res["val"], time()+60*60*24*30);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
 <HEAD>
  <TITLE>
   mobile map by petschge.de &amp; lusiardi.de
  </TITLE>
  <META name="author" content="Petschge, n0ob">
  <META name="date" content="2008-12-11">
  <META name="robots" content="index">
  <META http-equiv="content-type" content="text/html; charset=iso-8859-1">
  <META name="generator" content="vim 7.0">
  <LINK rel="shortcut icon" href="/favicon.ico">
  <LINK rel="stylesheet" type="text/css" href="style.css">
 </HEAD>
 <BODY>
<?php
	$width = $res["width"];
	$height = $res["height"];
	$border = $res["border"];

	$sizeParams = array ("width" => $width, "height" => $height, "border" => $border);

	echo "<H1>Mobile MAP</H1>\n";
	echo "<P>Display of OpenStreetMap tiles optimized for mobile devices with ";
	echo "small screens</P>\n";
	echo "<A href=\"map.php?".toUrl($sizeParams)."\">To the map</A><BR>\n";
	echo "<a href=\"search.php?".toUrl($sizeParams)."\">Search</a><br />\n";
	echo "<a href=\"selectfile.php\">Upload and view GPX track</a><br />\n";
	echo "<A href=\"mobilemap.tgz\">Sourcecode</A><BR>";

	echo "<H3>Resolution</H3>\n";
	echo "Based on {$res["src"]} the resolution {$res["val"]} was picked. ";
	if(count($res["options"]) > 1) {
		echo "You might also want to try:<BR>\n";
		while(list($key, $option) = each($res["options"])) {
			if($option != $res["val"]) {
				$parts = split("x", $option);
				echo "<A href=\"map.php?width={$parts[0]}&amp;height={$parts[1]}&amp;border={$parts[2]}\">$option</A><BR>\n";
			}
		}
	}

	echo "<BR>\n";
	echo "You can also measure your screensize and customize the display to your device:<BR>\n";
	echo "<A href=\"screensize.php\">Measure screensize</A><BR>\n";

	echo "<H3>Set screensize manually</H3>\n";
	echo "<FORM action=\"index.php\" method=\"POST\">\n";
	echo "<LABEL for=\"w\">Width in pixel:</LABEL><BR>\n";
	echo "<INPUT type=\"text\" id=\"w\" name=\"width\" value=\"$width\"><BR>\n";
	echo "<LABEL for=\"h\">Hight in pixel:</LABEL><BR>\n";
	echo "<INPUT type=\"text\" id=\"h\" name=\"height\" value=\"$height\"><BR>\n";
	echo "<LABEL for=\"b\">Border in pixel:</LABEL><BR>\n";
	echo "<INPUT type=\"text\" id=\"b\" name=\"border\" value=\"$border\"><BR>\n";
	echo "<INPUT type=\"submit\" value=\"Set\"><BR>\n";
	echo "</FORM>\n";
?>
 </BODY>
</HTML>
