<HTML>
 <HEAD>
  <TITLE>
   mobile map by petschge.de &amp; lusiardi.de
  </TITLE>
  <META name="author" content="Petschge, n0ob">
  <META name="date" content="2009-01-27">
  <META name="robots" content="index">
  <META http-equiv="content-type" content="text/html; charset=iso-8859-1">
  <META name="generator" content="vim 7.0">
  <LINK rel="shortcut icon" href="/favicon.ico">
  <LINK rel="stylesheet" type="text/css" href="style.css">
 </HEAD>
 <BODY>
 <H1>GPX List</H1>
<?php
include("config.php");
include("func.php");

	$dh = opendir($uploaddir);
	while($file = readdir($dh)) {
		if(strpos($file, "gpx") !== FALSE) {
			$uploadfile = $uploaddir . $file;
			$stat = stat($uploadfile);
			$dom = new DOMDocument;
			if($dom->load($uploadfile)) {
				$gpx_nodes = $dom->getElementsByTagName("gpx");
				$namespace = "";
				foreach($gpx_nodes as $node) {
					$namespace = $node->getAttribute("xmlns");
				}
				$xpath = new DOMXPath($dom);
				//$xpath->registerNameSpace("g", "http://www.topografix.com/GPX/1/1");
				$xpath->registerNameSpace("g", $namespace);
				$nodes = $xpath->query('//g:trkpt');
				$minlat = 90;
				$maxlat = -90;
				$minlon = 180;
				$maxlon = -180;
				$lastLat = 0;
				$lastLon = 0;
				$dist = 0;
				foreach($nodes as $node) {
					$lat = getAttributeFromElement($node, "lat");
					$lon = getAttributeFromElement($node, "lon");
					if($lat < $minlat) { $minlat = $lat; }
					if($lat > $maxlat) { $maxlat = $lat; }
					if($lon < $minlon) { $minlon = $lon; }
					if($lon > $maxlon) { $maxlon = $lon; }
					if(($lastLat != 0) && ($lastLon != 0)) {
						$dlat = ($lat - $lastLat) * pi() / 180.0;
						$dlon = ($lon - $lastLon) * pi() / 180.0;
						$a = pow(sin($dlat/2.0),2) + cos($lastLat*pi()/180.0)*cos($lat*pi()/180.0)*pow(sin($dlon/2.0), 2);
						$c = 2 * asin(min(1, sqrt($a)));
						$dist += (6378 - 21 * sin($lat*pi()/180.0)) *$c;
					}
					$lastLat = $lat;
					$lastLon = $lon;
				}
				$nodes = $xpath->query('//g:time[1]');
				$time = "";
				foreach($nodes as $node) {
					$time = $node->nodeValue;
				}
				$time = sscanf($time, "%d-%d-%dT%d:%d:%dZ");
			}
			$lat = ($minlat + $maxlat ) / 2;
			$lon = ($minlon + $maxlon ) / 2;
			$deltaX = getTileX($maxlon, 17) - getTileX($minlon, 17);
			$deltaY = getTileY($maxlat, 17) - getTileY($minlat, 17);
			$delta = max(abs($deltaX), abs($deltaY));
			$zoom = 17-(int)(log($delta)/log(2));
			$zoom = max(5, min(17, $zoom));
			$iconzoom = max(5, min(17, $zoom - 4));
			echo "<A href=\"map.php?lat=$lat&lon=$lon&zoom=$zoom&gpx=$file\">";
			echo "<IMG src=\"tile.php?width=32&height=32&lat=$lat&lon=$lon&py=2&px=2&layer=B000FFF&gpx=$file&width=32&height=32&zoom=$iconzoom\" width=\"32\" height=\"32\" border=\"0\">\n";
			echo "$file</A><BR>\n";
			printf("covers latitude %.3f - %.3f and longitude %.3f - %.3f<BR>\n", round($minlat, 3), round($maxlat, 3), round($minlon, 3), round($maxlon, 3));
			echo "started on ${time[2]}.${time[1]}.${time[0]} ${time[3]}:${time[4]}<BR>\n";
			echo "is ".round($dist, 3)." km long<BR>\n";
			echo "uploaded on ".date("j.n.Y H:i", $stat[10])."<BR>\n";
			echo "<BR>\n";
		}
	}

	echo "<A href=\"selectfile.php\">Upload file</A>\n";
?>
 </BODY>
</HTML>
